Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 158625 - dev-java/xt-200512 ebuild (version bump + fixes)
Summary: dev-java/xt-200512 ebuild (version bump + fixes)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-20 01:02 UTC by Jan Jitse Venselaar
Modified: 2007-01-21 22:46 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
The ebuild (xt-20051206.ebuild,1.04 KB, text/plain)
2006-12-20 01:03 UTC, Jan Jitse Venselaar
Details
Patch for version specific files in the package (version.patch,785 bytes, text/plain)
2006-12-20 01:03 UTC, Jan Jitse Venselaar
Details
Patch for compilation for jdk >= 1.5 (xt-20051206-compile.patch,423 bytes, text/plain)
2006-12-20 01:04 UTC, Jan Jitse Venselaar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Jitse Venselaar 2006-12-20 01:02:16 UTC
The current dev-java/xt in portage is 20020426a-r1. The latest upstream version is 20051206. The following ebuild + patches have this updated version, and have the ebuild updated to the new java-*-2 eclasses, and provide a patch in order for the package to be compiled with java-1.5 and higher. This patch ( xt-20051206-compile.patch ) was taken from the ArkLinux rpm. 

It now compiles for me with sun-jdk-1.6.0
Comment 1 Jan Jitse Venselaar 2006-12-20 01:03:19 UTC
Created attachment 104426 [details]
The ebuild
Comment 2 Jan Jitse Venselaar 2006-12-20 01:03:57 UTC
Created attachment 104427 [details]
Patch for version specific files in the package
Comment 3 Jan Jitse Venselaar 2006-12-20 01:04:33 UTC
Created attachment 104428 [details]
Patch for compilation for jdk >= 1.5
Comment 4 Petteri Räty (RETIRED) gentoo-dev 2007-01-21 22:46:13 UTC
Committed with quite a lot of mods:
betelgeuse@pena /usr/portage/dev-java/xt $ diff -u attachment.cgi\?id\=104426 xt-20051206.ebuild
--- attachment.cgi?id=104426    2007-01-22 00:44:42.000000000 +0200
+++ xt-20051206.ebuild  2007-01-22 00:44:15.000000000 +0200
@@ -1,51 +1,51 @@
-# Copyright 1999-2006 Gentoo Foundation
+# Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: $
+# $Header: /var/cvsroot/gentoo-x86/dev-java/xt/xt-20051206.ebuild,v 1.1 2007/01/21 22:44:15 betelgeuse Exp $

 inherit java-pkg-2 eutils java-ant-2

-MY_P="${P}-src"
-
 DESCRIPTION="Java Implementation of XSL-Transformations"
-SRC_URI="http://www.blnz.com/xt/${MY_P}.zip"
+SRC_URI="http://www.blnz.com/xt/${P}-src.zip"
 HOMEPAGE="http://www.blnz.com/xt/"
+
 LICENSE="JamesClark"
 SLOT="0"
-KEYWORDS="~amd64"
-IUSE="doc jikes"

-RDEPEND=">=virtual/jre-1.4
-       >=dev-java/xp-0.5
-       ~dev-java/servletapi-2.3
-       dev-java/xml-commons"
-DEPEND=">=virtual/jdk-1.4
-       ${RDEPEND}
-       dev-java/ant-core
-       jikes? ( dev-java/jikes )"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc source"

-S="${WORKDIR}/${P}"
+COMMON_DEP="~dev-java/servletapi-2.4"
+RDEPEND=">=virtual/jre-1.4
+       ${COMMON_DEP}"
+DEPEND="
+       !doc? ( >=virtual/jdk-1.4 )
+       doc? ( || ( =virtual/jdk-1.4* =virtual/jdk-1.5* ) )
+       ${COMMON_DEP}
+       app-arch/unzip
+       dev-java/ant-core"

 src_unpack() {
        unpack ${A}
-       cd ${S}
-       epatch ${FILESDIR}/version.patch
-       epatch ${FILESDIR}/xt-20051206-compile.patch
-       rm -f xt.jar lib/*.jar
+       cd "${S}"
+       epatch "${FILESDIR}"/20051206-java5.patch
+       rm -v lib/*.jar || die
+       rm thirdparty/servlet/*.jar || die
+       rm -vr ant || die
        cd lib
-       java-pkg-2_pkg_setup
-       java-pkg_jar-from xml-commons xml-apis.jar
-       java-pkg_jar-from xp
-       java-pkg_jar-from servletapi-2.3 servlet.jar servlets.jar
+       java-pkg_jar-from servletapi-2.4 servlet-api.jar servlets.jar
+       #Loads these at runtime only
+       java-pkg_getjars xp >/dev/null
 }

-src_compile() {
-       eant compile -Dproject.name=${PN} $(use_doc)
-}
+EANT_BUILD_TARGET="compile"
+EANT_EXTRA_ARGS="-Dunzip.done=true"

 src_install() {
-       java-pkg_dojar lib/${PN}.jar
-       if use doc; then
-               java-pkg_dohtml -r docs/* index.html
-               dodoc README
-       fi
+       java-pkg_newjar lib/${PN}${PV}.jar
+       java-pkg_dolauncher ${PN} \
+               --main com.jclark.xsl.sax.Driver
+       dodoc README.txt || die
+       dohtml index.html || die
+       use doc && java-pkg_dojavadoc docs/api
+       use source && java-pkg_dosrc src/xt/java/com
 }

Thanks for the report and patches.